CSL 5.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Member Functions
csl::CslRtpSession Class Reference

`#include <CslRtpSession.h>`

Inheritance diagram for csl::CslRtpSession:

List of all members.

## Public Member Functions
| CslRtpSession (unsigned numChans, unsigned bufferFrames)
| Constructor.
| ~CslRtpSession ()
| Destructor.

## Public Attributes
RingBuffer | mRtpBuffer
| The ring buffer between the RTP client and the PortAudio object.
Buffer | mTmpBuffer
| A temporary buffer used throughout the class.

## Protected Member Functions
void | OnRTPPacket (RTPPacket *pack, const RTPTime &receivetime, const RTPAddress *senderaddress)
void | OnRTCPCompoundPacket (RTCPCompoundPacket *pack, const RTPTime &receivetime, const RTPAddress *senderaddress)
void | OnSSRCCollision (RTPSourceData *srcdat, const RTPAddress *senderaddress, bool isrtp)
void | OnCNAMECollision (RTPSourceData *srcdat, const RTPAddress *senderaddress, const u_int8_t *cname, size_t cnamelength)
void | OnNewSource (RTPSourceData *srcdat)
void | OnRemoveSource (RTPSourceData *srcdat)
void | OnTimeout (RTPSourceData *srcdat)
void | OnBYETimeout (RTPSourceData *srcdat)
void | OnAPPPacket (RTCPAPPPacket *apppacket, const RTPTime &receivetime, const RTPAddress *senderaddress)
void | OnUnknownPacketType (RTCPPacket *rtcppack, const RTPTime &receivetime, const RTPAddress *senderaddress)
void | OnUnknownPacketFormat (RTCPPacket *rtcppack, const RTPTime &receivetime, const RTPAddress *senderaddress)
void | OnNoteTimeout (RTPSourceData *srcdat)
void | OnBYEPacket (RTPSourceData *srcdat)

## Detailed Description

Definition at line 51 of file CslRtpSession.h.

## Constructor & Destructor Documentation

CslRtpSession::CslRtpSession | ( | unsigned | numChans,
|  | unsigned | bufferFrames
| ) |  |

Constructor.

Definition at line 13 of file CslRtpSession.cpp.

References mTmpBuffer.

CslRtpSession::~CslRtpSession | ( |  | ) |

Destructor.

Definition at line 22 of file CslRtpSession.cpp.

References mTmpBuffer.

## Member Function Documentation

void CslRtpSession::OnRTPPacket | ( | RTPPacket * | pack,
|  | const RTPTime & | receivetime,
|  | const RTPAddress * | senderaddress
| ) |  |
| protected

Definition at line 161 of file CslRtpSession.cpp.

References csl::Interleaver::deinterleave(), mRtpBuffer, mTmpBuffer, csl::Buffer::setSizeOnly(), and csl::RingBuffer::writeBuffer().

void CslRtpSession::OnRTCPCompoundPacket | ( | RTCPCompoundPacket * | pack,
|  | const RTPTime & | receivetime,
|  | const RTPAddress * | senderaddress
| ) |  |
| protected

Definition at line 58 of file CslRtpSession.cpp.

void CslRtpSession::OnSSRCCollision | ( | RTPSourceData * | srcdat,
|  | const RTPAddress * | senderaddress,
|  | bool | isrtp
| ) |  |
| protected

Definition at line 234 of file CslRtpSession.cpp.

void CslRtpSession::OnCNAMECollision | ( | RTPSourceData * | srcdat,
|  | const RTPAddress * | senderaddress,
|  | const u_int8_t * | cname,
|  | size_t | cnamelength
| ) |  |
| protected

Definition at line 238 of file CslRtpSession.cpp.

void CslRtpSession::OnNewSource | ( | RTPSourceData * | srcdat | ) |
| protected

Definition at line 244 of file CslRtpSession.cpp.

void CslRtpSession::OnRemoveSource | ( | RTPSourceData * | srcdat | ) |
| protected

Definition at line 253 of file CslRtpSession.cpp.

void CslRtpSession::OnTimeout | ( | RTPSourceData * | srcdat | ) |
| protected

Definition at line 260 of file CslRtpSession.cpp.

void CslRtpSession::OnBYETimeout | ( | RTPSourceData * | srcdat | ) |
| protected

Definition at line 267 of file CslRtpSession.cpp.

void CslRtpSession::OnAPPPacket | ( | RTCPAPPPacket * | apppacket,
|  | const RTPTime & | receivetime,
|  | const RTPAddress * | senderaddress
| ) |  |
| protected

Definition at line 274 of file CslRtpSession.cpp.

void CslRtpSession::OnUnknownPacketType | ( | RTCPPacket * | rtcppack,
|  | const RTPTime & | receivetime,
|  | const RTPAddress * | senderaddress
| ) |  |
| protected

Definition at line 282 of file CslRtpSession.cpp.

void CslRtpSession::OnUnknownPacketFormat | ( | RTCPPacket * | rtcppack,
|  | const RTPTime & | receivetime,
|  | const RTPAddress * | senderaddress
| ) |  |
| protected

Definition at line 289 of file CslRtpSession.cpp.

void CslRtpSession::OnNoteTimeout | ( | RTPSourceData * | srcdat | ) |
| protected

Definition at line 296 of file CslRtpSession.cpp.

void CslRtpSession::OnBYEPacket | ( | RTPSourceData * | srcdat | ) |
| protected

Definition at line 303 of file CslRtpSession.cpp.

## Member Data Documentation

RingBuffer csl::CslRtpSession::mRtpBuffer

The ring buffer between the RTP client and the PortAudio object.

Definition at line 56 of file CslRtpSession.h.

Referenced by OnRTPPacket().

Buffer csl::CslRtpSession::mTmpBuffer

A temporary buffer used throughout the class.

Definition at line 57 of file CslRtpSession.h.

Referenced by CslRtpSession(), OnRTPPacket(), and ~CslRtpSession().

The documentation for this class was generated from the following files:

- CSL/RTP/CslRtpSession.h
- CSL/RTP/CslRtpSession.cpp